echo off
rem This .bat file will convert tab or comma delimted .txt files,
rem to Psion .dbf files, using TEXT2DBF.
rem It can take 2 or 3 parameters:  Example \mpprep xxx delim device
rem     xxx=3 character database code
rem     delim = tab or comma and defines delimeter
rem     device = a, b or m and optionally defines device files are on
rem              ... if not used, assume are IN correct directory.
cls
IF .%mpdir% == . SET mpdir=c:\mobpages\psion
IF .%3 == . goto :thisdir
IF %3 == a goto :dirchk
IF %3 == A goto :dirchk
IF %3 == b goto :dirchk
IF %3 == B goto :dirchk
IF %3 == m goto :dirchk
IF %3 == M goto :dirchk
goto :nof

:dirchk
IF EXIST %mpdir%\dev-%3\app\pages\nul GOTO :diryes
CLS
echo.
ECHO The directory %mpdir%\dev-%3\app\pages does not exist!
ECHO The files to be converted were expected to be found in this directory.
echo.
GOTO :END

:diryes
cd %mpdir%\dev-%3\app\pages

:thisdir
rem %1=3letter filename,

if .%1 == . goto nof
if .%2 == . goto nof
IF %2 == comma goto :cont1
IF %2 == Comma goto :cont1
IF %2 == tab goto :cont1
IF %2 == Tab goto :cont1

goto cont1

:nof
echo.
echo FIRST parameter must be a 3 character database code
echo.
echo SECOND parameter must be either :
echo   Tab    - Text files to convert are TAB separated
echo   Comma  - Text files to convert are COMMA separated
echo.
echo THIRD parameter must be either :
echo   M      - Files to prepare are located on Internal memory (dev-m)
echO   A      - Files to prepare are located on device A
echo   B      - Files to prepare are located on device B
echo   undefined - Files to prepare are in current directory.
echo.
echo EXAMPLE : \mpprep mp1 Tab M
echo ... Prepare the database file defined by the 3 letter code 'mp1',
echo     which is a tab separated text file.
echo     The database to prepare is located on device M, ie internal
echo     memory, of the Psion Emulator.  This would normally mean the
echo     file is located in c:\mobpages\psion\dev-m\app\pages\.
echo.
GOTO :end








:cont1


if exist file1.lab goto :lab2
echo.
echo Could not find the file 'file1.lab'.
IF .%3 == . goto :th1
echo.
echo This file, and 'file2.lab' should have been copied to all 3
echo 'virtual directories' during software installation. 
goto :end

:th1
echo.
echo When you initiated this .bat file, you selected NOT to define a
echo third parameter of A, B or M, which would force the respective
echo virtual Psion directory to be searched.  Consequently, the search
echo was performed in YOUR current directory.
echo The problem will probably be resolved if you select a third paramter.
echo.
goto end:

:lab2
if exist file2.lab goto :start
echo. echo file2.lab not found.  Are you in the correct directory?
echo Check your software installation, as this file should be
echo in all 3 virtual Psion directories.
echo.
goto :end

:start
rem Check file exists !!
If exist %1_data.txt goto :cont2
cls
echo.
echo                    %1_data.txt not found
echo.
echo The input database file can not be located, using the 3 character
echo   identification you specified OR in the directory you specified.
echo.
echo Options : Either ....
echo  1. Create the file
echo  2. Select a different 3 character id (1st paramter)
echo  3. Select a different Psion directory (3rd parameter)
echo.
goto :end

:cont2
rem    **** Convert Database file to .dbf, using specified delimiter ****
IF %2 == comma goto :db1
IF %2 == Comma goto :db1
IF %2 == tab goto :db2
IF %2 == Tab goto :db2

goto :end
:db1
text2dbf -Lfile1 -O%1_data %1_data
goto :typ

:db2
text2dbf -D^i -Lfile1 -O%1_data %1_data
goto :typ

rem **** Convert TYPE file to .dbf, depending on delimiter ****
:typ
if exist %1_menu.txt goto :cont3
cls
echo.
echo                      %1_menu.txt not found
echo.
echo The main database file %1_data.txt exists and was prepared successfully.  
echo.
echo However, no corresponding MENU file exists for it.  Either create it 
echo manually, or create it automatically, using the AUTO MENU option within 
echo PAGES GENERATOR.
echo.
goto :end

:cont3
IF %2 == Comma goto :typ1
IF %2 == comma goto :typ1
IF %2 == Tab goto :typ2
IF %2 == tab goto :typ2
goto :end

:typ1
text2dbf -Lfile2 -O%1_menu %1_menu
goto :end

:typ2
text2dbf -D^i -Lfile2 -O%1_menu %1_menu
goto :end

:end
