echo off
rem This .bat file loads the Psion 3a Emulator on a PC, from DOS.
rem It checks that it can find the Psion 3a emulator, checks that
rem the virtual devices for the Psion emulator exist (and creates
rem them if they do not) and checks to see if Pages Viewer exists
rem in the correct directory, so that the Psion emulator
rem can access it.

rem This .bat file takes 1, optional parameter, which can have the
rem value Full (or full) or Small (or small).  The former forces
rem FULL SCREEN mode, whilst the latter forces STANDARD Psion
rem screen mode.  No option uses the previous setting.

rem --------------------------------------------------------------
rem The following table summarises the mapping of function keys to Psion keys :
rem      F1=System          F2=DATA      F3=WORD .....
rem      F9=MENU            F10=HELP    F12=Diamond      Alt=Psion
rem --------------------------------------------------------------

IF .%mpdir% == . SET mpdir=c:\mobpages\psion
IF .%mp3a% == . SET mp3a=c:\mobpages\pc

IF EXIST %mpdir%\nul goto :ok0
CLS
ECHO The directory %mpdir% does not exist!
echo Either create it, or add to \autoexec.bat, the line
echo            SET mpdir=directory
echo  where 'directory' is the root directory of files accessed within the emulator
echo Example:   SET mpdir=c:\mobpages\psion
GOTO :end
:ok0
rem Know base virtual directory exists, so ensure 3 virtual devices exist
IF NOT EXIST %mpdir%\dev-m\nul md %mpdir%\dev-m
IF NOT EXIST %mpdir%\dev-a\nul md %mpdir%\dev-a
IF NOT EXIST %mpdir%\dev-b\nul md %mpdir%\dev-b


rem Check Psion 3a loaded or in specified directory ....
IF EXIST %mp3a%\s3aemul.exe GOTO :cont0
CLS
ECHO Could not find the file 's3aemul.exe' in directory %mp3a%.
ECHO This could be because you haven't loaded the Psion 3a Emulator,
echo or, you have not correctly defined the directory that you loaded
echo it into.  If the latter, add to \autoexec.bat, the line
echo            SET mp3a=directory
echo .... where 'directory' is the directory you loaded the emulator into.
echo Example:   SET mp3a=c:\mobpages\pc
GOTO :END

:cont0
rem See if PAGES is actually loaded on any device, and warn if not
IF EXIST %mpdir%\dev-m\app\pages\mp_cp.dyl GOTO :ok1
IF EXIST %mpdir%\dev-a\app\pages\mp_cp.dyl GOTO :ok1
IF EXIST %mpdir%\dev-b\app\pages\mp_cp.dyl GOTO :ok1
CLS
ECHO WARNING - Pages Viewer software was not found on any 'virtual device'
echo in the directory %mpdir%.
PAUSE
:ok1
subst m: %mpdir%\dev-m
subst a: %mpdir%\dev-a
subst b: %mpdir%\dev-b

cd %mp3a%
if .%1 == . goto :cont1
if %1 == Full copy hhserver.big hhserver.par > nul
if %1 == full copy hhserver.big hhserver.par > nul
if %1 == Small copy hhserver.sml hhserver.par > nul
if %1 == small copy hhserver.sml hhserver.par > nul
:cont1
s3aemul.exe
subst m: /d
subst a: /d
subst b: /d

:END
